### Method

# Vips Image set_area

#### Declaration [src]

    void
    vips_image_set_area (
      VipsImage* image,
      const char* name,
      VipsCallbackFn free_fn,
      void* data
    )

#### Description [src]

Attaches `data` as a metadata item on `image` under the name `name`. When VIPS no longer needs the metadata, it will be freed with `free_fn`.

See also

`vips_image_get_double()`, `vips_image_set()`.

#### Parameters

`name`

  Type: `const char*`

  Metadata name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`free_fn`

  Type: `VipsCallbackFn`

  Free function for `data`.

  The argument can be `NULL`.

`data`

  Type: `void*`

  Pointer to area of memory.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.